# FYI:
# http://trac.wildfiregames.com/wiki/BuildInstructions#Linux

%define revision	11863
%define beta		alpha10
%define rel		1

Name:           0ad
Version:        1.0
Release:        %mkrel -c %{revision} %{rel}
License:        GPLv2+ LGPLv2
Group:          Games/Strategy
Summary:        Cross-Platform RTS Game of Ancient Warfare
Url:            http://wildfiregames.com/0ad/
Source:         http://releases.wildfiregames.com/%{name}-r%{revision}-alpha-unix-build.tar.xz
Requires:       %{name}-data = %{version}
BuildRequires:	enet-devel
BuildRequires:  boost-devel
BuildRequires:  devil-devel
BuildRequires:  gamin-devel
BuildRequires:  gcc-c++
BuildRequires:  %{_lib}jpeg-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:	%{_lib}mozjs185-devel
BuildRequires:  %{_lib}vorbis-devel
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  nasm
BuildRequires:  python
BuildRequires:  subversion
BuildRequires:  zip
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig
BuildRequires:  SDL-devel
BuildRequires:  wxgtku-devel
BuildRequires:  openal-devel
BuildRequires:  curl-devel

%description
0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
real-time strategy (RTS) game of ancient warfare. In short, it is a
historically-based war/economy game that allows players to relive or rewrite
the history of Western civilizations, focusing on the years between 500 B.C.
and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
graphics, detailed artwork, sound, and a flexible and powerful custom-built
game engine.

The game has been in development by Wildfire Games (WFG), a group of volunteer,
hobbyist game developers, since 2001.

%prep
%setup -q -n %{name}-r%{revision}-alpha
sed -i "/Version/d" build/resources/%{name}.desktop
sed -i "s/Exec=\/usr\/bin\/0ad/Exec=0ad/g" build/resources/%{name}.desktop

%build
%setup_compile_flags
build/workspaces/update-workspaces.sh \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}/%{name} \
    --libdir=%{_libdir}/%{name} \
    --with-system-enet \
    --with-system-mozjs185

pushd build/workspaces/gcc
%make verbose=1
popd

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}/%{name}
./binaries/system/test -libdir binaries/system

%install
install -d -m 755 %{buildroot}%{_gamesbindir}
install -m 755 binaries/system/pyrogenesis %{buildroot}%{_gamesbindir}/pyrogenesis
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh

%{_gamesbindir}/pyrogenesis "\$@"
EOF
chmod +x %{buildroot}%{_gamesbindir}/%{name}

install -d -m 755 %{buildroot}%{_libdir}/%{name}
install -m 755 binaries/system/libCollada.so %{buildroot}%{_libdir}/%{name}/libCollada.so
install -m 755 binaries/system/libAtlasUI.so %{buildroot}%{_libdir}/%{name}/libAtlasUI.so
install -m 755 binaries/system/libnvcore.so %{buildroot}%{_libdir}/%{name}/libnvcore.so
install -m 755 binaries/system/libnvimage.so %{buildroot}%{_libdir}/%{name}/libnvimage.so
install -m 755 binaries/system/libnvmath.so %{buildroot}%{_libdir}/%{name}/libnvmath.so
install -m 755 binaries/system/libnvtt.so %{buildroot}%{_libdir}/%{name}/libnvtt.so

install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 build/resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 build/resources/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%doc README.txt LICENSE.txt
%doc license_gpl-2.0.txt license_lgpl-2.1.txt license_dbghelp.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/pyrogenesis
%{_libdir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Fri Jun 15 2012 dams <dams> 1.0-0.11863.1.mga2
+ Revision: 260809
- new alpha 10
- fix not working game: compilation options and path

  + dmorgan <dmorgan>
    - Rebuild against new libtiff

  + guillomovitch <guillomovitch>
    - new alpha version

* Fri Dec 16 2011 wally <wally> 1.0-0.10288.4.mga2
+ Revision: 182844
- use unicode version of wxgtk
- drop duplicate BRs
- wxGTK-devel BR was renamed to wxgtk-devel

* Mon Nov 28 2011 fwang <fwang> 1.0-0.10288.3.mga2
+ Revision: 173548
- rebuild for new boost

* Sun Sep 25 2011 wally <wally> 1.0-0.10288.2.mga2
+ Revision: 147663
- build with system enet

* Tue Sep 20 2011 mikala <mikala> 1.0-0.10288.1.mga2
+ Revision: 146051
- update tarball to Alpha 7 Geronium ( revision 10288)
- remove %%clean section &  %%defattr
- Fix license
- Fix files list
- Drop patchs merged upstream

* Mon Sep 12 2011 fwang <fwang> 1.0-0.09786.2.mga2
+ Revision: 142618
- fix build with libpng1.5
- rebuild for new libpng
- install libenet
- do not use system enet (it requires enet 1.3, which is n/a)
- data package becomes seperated source package
- add upstream patch to build with boost 1.47
- new snapshot 09786
- rebuild for new boost

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jun 22 2011 fwang <fwang> 1.0-0.09488.2.mga2
+ Revision: 111857
- rebuild for new boost

* Sun May 08 2011 mikala <mikala> 1.0-0.09488.1.mga1
+ Revision: 96555
- imported package 0ad


* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 1.0-0.8899.2mdv2011.0
+ Revision: 644467
- rebuild for new boost

* Mon Feb 14 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.8899.1
+ Revision: 637689
- new snapshot
- produce data package from the same snapshot

* Wed Oct 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-0.08413.1mdv2011.0
+ Revision: 587053
- import 0ad

